Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.execution.repository.continuation
Class GrailsAwareSerializedFlowExecutionContinuationFactory

    java.lang.Object
      org.springframework.webflow.execution.repository.continuation.SerializedFlowExecutionContinuationFactory
          org.codehaus.groovy.grails.webflow.execution.repository.continuation.GrailsAwareSerializedFlowExecutionContinuationFactory

All Implemented Interfaces:
  org.springframework.webflow.execution.repository.continuation.FlowExecutionContinuationFactory

    public class GrailsAwareSerializedFlowExecutionContinuationFactory

extends org.springframework.webflow.execution.repository.continuation.SerializedFlowExecutionContinuationFactory
implements org.springframework.webflow.execution.repository.continuation.FlowExecutionContinuationFactory

Extends the default SerializedFlowExecutionContinuationFactory to provide a extended SerializedFlowExecutionContinuation that is capable of loading classes from the GrailsApplication instance .

Since:
  0.6

  Created: Jul 6, 2007 Time: 10:57:27 PM
Author:
  Graeme Rocher
See Also:
  `SerializedFlowExecutionContinuation`, `SerializedFlowExecutionContinuationFactory`

Constructor Summary
`GrailsAwareSerializedFlowExecutionContinuationFactory(GrailsApplication grailsApplication)`

Method Summary
`org.springframework.webflow.execution.repository.continuation.FlowExecutionContinuation` | `createContinuation(org.springframework.webflow.execution.FlowExecution flowExecution)`

Methods inherited from class org.springframework.webflow.execution.repository.continuation.SerializedFlowExecutionContinuationFactory
`createContinuation, getCompress, setCompress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.webflow.execution.repository.continuation.FlowExecutionContinuationFactory
`createContinuation`

Constructor Detail

### GrailsAwareSerializedFlowExecutionContinuationFactory

    public GrailsAwareSerializedFlowExecutionContinuationFactory(GrailsApplication grailsApplication)

Method Detail

### createContinuation

    public org.springframework.webflow.execution.repository.continuation.FlowExecutionContinuation createContinuation(org.springframework.webflow.execution.FlowExecution flowExecution)
                                                                                                               throws org.springframework.webflow.execution.repository.continuation.ContinuationCreationException

  Specified by:
    `createContinuation` in interface `org.springframework.webflow.execution.repository.continuation.FlowExecutionContinuationFactory`
  Overrides:
    `createContinuation` in class `org.springframework.webflow.execution.repository.continuation.SerializedFlowExecutionContinuationFactory`
  Throws:
    `org.springframework.webflow.execution.repository.continuation.ContinuationCreationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project